Bug 207485 - Dual head feature does not work on HP nx6325
Dual head feature does not work on HP nx6325
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: xorg-x11-drv-ati (Show other bugs)
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Adam Jackson
Depends On:
  Show dependency treegraph
Reported: 2006-09-21 08:56 EDT by peter young
Modified: 2008-08-02 19:40 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-09-11 20:43:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
X startup log (44.72 KB, text/plain)
2006-09-22 04:10 EDT, peter young
no flags Details
Xorg log (41.14 KB, text/plain)
2007-03-26 08:52 EDT, peter young
no flags Details

  None (edit)
Description peter young 2006-09-21 08:56:06 EDT
Description of problem:

Dual head feature does not work on HP nx6325. This is a dual core X86_64 AMD 
Turion, with ATI radeon graphics.

Version-Release number of selected component (if applicable):
kernel 2.6.17-1.2519.4.21.el5
gnome 2.15.4
2nd video card shows as:
    ATI Technologies Inc RS482 [Radeon Xpress 200M]
Under hardware, video card is shown as:
    Unknown Video card
But click on configure and the following item is highlighted in the selection 
    radeon - ATI Radeon cards, including Radeon Mobility and FireGL

How reproducible:
Select dual head feature from Gnome, nothing displays on the 2nd monitor.
Have tried with LCD display and CRT monitor.
Always reproducible, regardless of monitor or resolution selected.

Steps to Reproduce:
1. Connect 2nd monitor to VGA port of the laptop
2. System, Administration, Display, Dual Head, check Use dual head, OK 
3. Reboot, or restart X
Actual results:
Nothing shown on 2nd display

Expected results:
Desktop shown on 2nd display.

Additional info:
aanaconda.log shows:
  ignoring driverless device ATI Technologies Inc RS482 [Radeon Xpress 200M]

Using the same hardware, running FC5 and the Livna ATI fglrx drivers, the 2nd 
display will work.
However livna only supports Fedora, not Redhat 5 beta.
Comment 1 Adam Jackson 2006-09-21 19:19:31 EDT
Please attach the X startup log from the affected configuration.
Comment 2 peter young 2006-09-22 04:10:33 EDT
Created attachment 136933 [details]
X startup log

here is the X log when 2nd screen was attached
Comment 3 peter young 2007-03-26 08:07:29 EDT
I have reproduced this problem on RHEL 5 Client
Can you get it fixed ?
Comment 4 peter young 2007-03-26 08:52:08 EDT
Created attachment 150892 [details]
Xorg log
Comment 5 peter young 2007-03-26 08:57:57 EDT
I have have tried with the identical hardware setup on this dual boot laptop,
booting into Windows XP 64bit. The display works fine with that.

I want to deploy this laptop model to my users. Uisning livna it will work on FC5.
It would be ideal to have the dual screen to work under RHEL5

I enclose that lastet X log. Let me know what else you need.
Hre is an extract

(II) Module xaa: vendor="X.Org Foundation"
	compiled for 7.1.1, module version = 1.2.0
	ABI class: X.Org Video Driver, version 1.0
(II) RADEON(0): No MM_TABLE found - assuming CARD is not TV-in capable.
(!!) RADEON(0): For information on using the multimedia capabilities
	of this adapter, please see http://gatos.sf.net.
(**) RADEON(1): RADEONPreInit
(II) RADEON(1): MMIO registers at 0xd4300000: size 64KB
(WW) RADEON(1): Only one monitor detected, Second screen will NOT be created
(**) RADEON(1): RADEONFreeScreen

I have SELINUX fully enabled

[root@eult166 log]# uname -a
Linux eult166.aleri.com 2.6.18-8.1.1.el5 #1 SMP Mon Feb 26 20:37:57 EST 2007
x86_64 x86_64 x86_64 GNU/Linux
Comment 6 Matěj Cepl 2007-07-04 18:12:05 EDT
Reporter, could you reproduce this with released RHEL5?

Also, for official Red Hat Enterprise Linux support, please log into the Red Hat
support website at http://www.redhat.com/support and file a support ticket,
or alternatively contact Red Hat Global Support Services at 1-888-RED-HAT1
to speak directly with a support associate and escalate an issue.

(the previous doesn't mean that I close this bug, please respond, but there is
some preference for our paying customers of course).
Comment 8 Matěj Cepl 2007-08-11 16:45:24 EDT
Reporter, could you please reply to the previous question? If you won't reply in
one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.
Comment 9 Matěj Cepl 2007-09-11 20:43:35 EDT
No information requested provided, no joy for anybody -- closing this bug as
INSUFFICIENT_DATA. Reporter, if you could, please, reopen with additional

Note You need to log in before you can comment on or make changes to this bug.